Bug 167824 - mail/dovecot: double checks for build options
Summary: mail/dovecot: double checks for build options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-12 15:30 UTC by Dmitry Afanasiev
Modified: 2012-07-09 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.26 KB, patch)
2012-05-12 15:30 UTC, Dmitry Afanasiev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Afanasiev 2012-05-12 15:30:17 UTC
Build options in Makefile are double checked like this:
.if defined(WITH_SSL) && !defined(WITHOUT_SSL)

and options can't be overridden by make.conf with simple string:
WITH_SSL=yes

Please remove double checks for users who want to control options via make.conf.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-12 15:31:00 UTC
Maintainer of mail/dovecot,

Please note that PR ports/167824 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167824

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-05-12 15:31:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2012-06-21 19:12:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 dfilter service freebsd_committer 2012-07-09 20:24:31 UTC
wxs         2012-07-09 19:24:21 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile 
  Log:
  Don't check WITH_FOO && !WITHOUT_FOO. [1]
  Remove gssapi patch that is no longer needed. [2]
  
  These both apply to mail/dovecot2 also. I will be working with the
  maintainer there to get these committed.
  
  PR:             ports/167824 [1]
                  ports/
  Submitted by:   Dmitry Afanasiev <KOT@MATPOCKuH.Ru> [1]
                  Leon Messner <l.messner@physik.tu-berlin.de> [2]
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.121     +9 -14     ports/mail/dovecot/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wesley Shields freebsd_committer 2012-07-09 20:28:12 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!